#include <WiFi.h>
#include <IOXhop_FirebaseESP32.h>
#include <Wire.h>
#include <Adafruit_Sensor.h>
#include <Adafruit_BME280.h>

#define FIREBASE_HOST "****"
#define FIREBASE_AUTH "****"
#define WIFI_SSID "****"
#define WIFI_PASSWORD "****"   

Adafruit_BME280 bme; 

unsigned long delayTime;

void setup() {
  Serial.begin(9600);
  delay(1000);
  WiFi.begin(WIFI_SSID, WIFI_PASSWORD);
  Serial.print("Connecting to ");
  Serial.print(WIFI_SSID);
  delay(1000);

  while (WiFi.status() != WL_CONNECTED) {
    Serial.print(".");
    delay(500);
  }
  Serial.println();
  Serial.print("Connected to ");
  Serial.println(WIFI_SSID);
  Serial.print("IP Address is : ");
  Serial.println(WiFi.localIP());
  Firebase.begin(FIREBASE_HOST, FIREBASE_AUTH);

  bool status;
  status = bme.begin(0x76);  
  if (!status) {
    Serial.println("Nejde najít BME280");
    while (1);
  }
  delayTime = 1000;
}
void loop() { 
  printValues();
  delay(delayTime);
}

void printValues() {
  string teplota = bme.readTemperature() + "*C";
  Serial.print("Temperature = ");
  Serial.println(teplota);
  
  string tlak = (bme.readPressure()/ 100.0F) + "hPa";
  Serial.print("Tlak = ");
  Serial.println(tlak);

  string vlhkost = bme.readHumidity() + "%";
  Serial.print("Humidity = ");
  Serial.println(vlhkost);

  Firebase.setString("Skleník/Senzor/BM280/Teplota",teplota);
  Serial.print("Hodnota teplota uložena");
  Firebase.setString("Skleník/Senzor/BM280/Tlak",tlak);
  Serial.print("Hodnota tlak uložena");
  Firebase.setString("/Skleník/Senzor/BM280/Vlhkost",vlhkost);
  Serial.print("Hodnota vlhkost uložena");
  Serial.print("Toto měření proběhlo úspěšně");
  delay(60000); // Pauza 1 minut
}