#include <WiFi.h>
#include <IOXhop_FirebaseESP32.h>
#define FIREBASE_HOST "****"
#define FIREBASE_AUTH "****"
#define WIFI_SSID "****"
#define WIFI_PASSWORD "****"   

#define analogPin A0
#define digitalPin 3
#define vccPin 4
unsigned long cas = 0;

void setup() {
  Serial.begin(9600);
  delay(1000);
  WiFi.begin(WIFI_SSID, WIFI_PASSWORD);
  Serial.print("Connecting to ");
  Serial.print(WIFI_SSID);
  delay(1000);

  while (WiFi.status() != WL_CONNECTED) {
    Serial.print(".");
    delay(500);
  }
  Serial.println();
  Serial.print("Connected to ");
  Serial.println(WIFI_SSID);
  Serial.print("IP Address is : ");
  Serial.println(WiFi.localIP());

  Firebase.begin(FIREBASE_HOST, FIREBASE_AUTH);

  pinMode(analogPin, INPUT);
  pinMode(digitalPin, INPUT);
  pinMode(vccPin, OUTPUT);
  digitalWrite(vccPin, LOW);
}

void loop() {
  if (millis() - cas > 60000){
    digitalWrite(vccPin, HIGH);
    delay(100);
    int vlhkostpudy = analogRead(analogPin);
    Serial.print("Hodnota vlhkosti půdy");
    Serial.println(vlhkostpudy);
    Firebase.setString("/Skleník/Senzor/Vlhkost půdy/Vlhkost půdy",vlhkostpudy);
    Serial.print("Hodnota vlhkosti půdy uložena");
    digitalWrite(vccPin, LOW);
    // uložení aktuálního času do proměnné pro další kontrolu
    cas = millis();
  }
}